﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace DataLayer.Entities;

[Table("Space_consumables")]
public partial class SpaceConsumable
{
    [Key]
    [Column("id")]
    public Guid Id { get; set; }

    [Column("consumables_id")]
    public Guid ConsumablesId { get; set; }

    [Column("space_id")]
    public Guid SpaceId { get; set; }

    [Column("count")]
    public int? Count { get; set; }

    [ForeignKey("ConsumablesId")]
    [InverseProperty("SpaceConsumables")]
    public virtual Consumable Consumables { get; set; }

    [ForeignKey("SpaceId")]
    [InverseProperty("SpaceConsumables")]
    public virtual Space Space { get; set; }
}